﻿
/* ------------------------------------------------------------ *\
	Search Block
\* ------------------------------------------------------------ */

.se-component .ng-search-engine {
    z-index: 9 !important;
}

@media(min-width:991px) {
    .se-component .ng-search-engine-main {
        background: rgba(0,0,0,.4);
    }

    .se-component .ng-search-engine-strip {
        background: rgba(0,0,0,.55);
    }

    .search-engine-result .se-component .ng-search-engine-strip {
        background: none;
    }
}

.se-component-header-cover {
    width: 100%;
    position: relative;
    z-index: 7;
}

    .se-component-header-cover .section-search {
        background: url('/resources/web/img/search-bg.jpg') center center no-repeat;
        background-size: cover;
        padding-top: 1px;
        margin-top: -1px;
        min-height: 470px;
    }

    .se-component-header-cover .se-component {
        /*padding-right: 0;
        margin-top: 0;
        background: none;
        padding-bottom: 0.1px;
        position: absolute;
        bottom: 70px;
        left: 0;
        right: 0;
        width: 100%;*/
        margin-top: 100px;
    }


.toggle-header-search {
    position: absolute;
    left: 0;
    top: 36px;
    font-size: 29px;
    cursor: pointer;
    z-index: 1000;
}

    .toggle-header-search .icon-close {
        font-size: 18px;
        color: #fff;
    }

.search-engine-result .se-component {
    padding-bottom: 10px;
}

.search-engine-result .section-search .nav-tabs {
    position: relative;
    text-align: right;
    top: 0;
    padding: 0;
    border-bottom: 2px solid #178823;
}

    .search-engine-result .section-search .nav-tabs li:after {
        display: none;
    }

    .search-engine-result .section-search .nav-tabs li a {
        padding: 10px 40px 10px 18px;
        font-size: 18px;
        background: rgba(0, 0, 0, 0.7);
        color: #fff;
    }

    .search-engine-result .section-search .nav-tabs li.current a {
        color: #fff;
        background: #178823;
        font-weight: normal;
    }

    .search-engine-result .section-search .nav-tabs li a i {
        left: auto;
        bottom: auto;
        right: 5px;
        font-size: 22px;
        color: #fff;
    }

        .search-engine-result .section-search .nav-tabs li a i.icon-cars {
            font-size: 20px;
        }

.search-engine-result .ng-app .ng-search-engine .ng-search-engine-strip .ng-form-search {
    padding: 20px 0 5px;
}






/* ------------------------------------------------------------ *\
	Search Engine Block - Light (!)
\* ------------------------------------------------------------ */

.search-engine-block.search-engine-light .section-search .search-navigation {
    margin: 0 auto;
    position: static;
    min-height: 0;
    padding-right: 0;
    background: none;
    padding-bottom: 0.1px;
    bottom: 70px;
    left: 0;
    right: 0;
    width: 100%;
    max-width: 1240px;
    margin-top: 40px;
}

.search-engine-block.search-engine-light .ng-form-header .tab-title {
    text-shadow: none !important;
    color: #000 !important;
}

.search-engine-block.search-engine-light .section-search.no-background {
    background: none;
}

.search-engine-block.search-engine-light .ng-form-search {
    padding: 0 20px !important;
    background: #f4f8fb;
    box-shadow: 0px 0px 10px #b5cbdb;
    border: 1px solid #fff;
    padding-bottom: 15px !important;
}

    .search-engine-block.search-engine-light .ng-form-search .ng-form-body .ng-form-row,
    .search-engine-block.search-engine-light .ng-form-search .ng-form-body .ng-dropdown.ng-passengers-dropdown,
    .search-engine-block.search-engine-light .ng-app .ng-form-search .ng-dropdown.ng-dropdown-primary.ng-room-selection .ng-dropdown-button {
        border: 1px solid #d6e5f2;
    }

    /*.search-engine-block.search-engine-light .ng-form-search .action-button-wrapper {
        bottom: 28px;
    }*/

    /*.search-engine-block.search-engine-light .ng-form-search .action-button-wrapper .ng-btn-form {
    font-size: 25px !important;
}*/

    .search-engine-block.search-engine-light .ng-form-search .ng-form-header {
        padding: 10px 0 10px !important;
    }

        .search-engine-block.search-engine-light .ng-form-search .ng-form-header .tab-title {
            font-size: 28px !important;
        }

    .search-engine-block.search-engine-light .ng-form-search .checkbox-options ul li label {
        color: #000;
    }

    .search-engine-block.search-engine-light .ng-form-search .checkbox-options .checkbox label i,
    .search-engine-block.search-engine-light .ng-form-search .checkbox-options .checkbox label:before {
        border: 1px solid #d6e5f2;
    }

/*.search-engine-block.search-engine-light .section-search.no-background .search-navigation .ng-app .ng-search-engine .ng-search-engine-strip .ng-form-search .ng-form-body > .ng-form-cols > .ng-form-col {
    max-width: 28%
}*/

.search-engine-block.search-engine-light .section-search.no-background .search-navigation .ng-app .ng-search-engine .ng-search-engine-strip .ng-form-search .ng-tabs .ng-checkbox-options .ng-checkbox label {
    color: #000
}

    .search-engine-block.search-engine-light .section-search.no-background .search-navigation .ng-app .ng-search-engine .ng-search-engine-strip .ng-form-search .ng-tabs .ng-checkbox-options .ng-checkbox label:before {
        border: 1px solid #d6e5f2;
    }

.search-engine-block.search-engine-light .section-search.no-background .search-navigation .ng-app .ng-search-engine .ng-search-engine-strip .ng-form-search .ng-form-header .ng-small-dropdown .ng-dropdown-button .ng-dropdown-text {
    color: #000;
}

.search-engine-block.search-engine-light .section-search.no-background .search-navigation .ng-app .ng-search-engine .ng-search-engine-strip .ng-form-search .ng-form-header .ng-small-dropdown .ng-dropdown-button:after {
    border-color: #000;
}

.search-engine-block.search-engine-light .section-search.no-background .search-navigation .ng-app .ng-search-engine .ng-search-engine-strip .ng-form-search .ng-form-header .ng-nav-tabs-secondary:not(.ng-small-dropdown) li:not(.current) a {
    background: #9e9e9e; 
}

.search-engine-block.search-engine-light .section-search.no-background .search-navigation .ng-app .ng-form-search .ng-domestic-hotels-form .ng-checkbox-options .ng-checkbox label {
    color: #000;
}

    .search-engine-block.search-engine-light .section-search.no-background .search-navigation .ng-app .ng-form-search .ng-domestic-hotels-form .ng-checkbox-options .ng-checkbox label:before {
        border: 1px solid #d5e4f1;
    }
/* ------------------------------------------------------------ *\
	Search Engine Block - floating engine
\* ------------------------------------------------------------ */
.searchbox-float .ng-form-search {
    max-width: 1240px;
    margin: 0 auto;
}

.ng-modal-shown header {
    z-index: 2 !important;
}
